Public Member Functions | Public Attributes | List of all members
RagTime5StyleManagerInternal::TextFieldParser Struct Reference

Internal: the helper to read style for a RagTime5StyleManager. More...

Inheritance diagram for RagTime5StyleManagerInternal::TextFieldParser:

## Public Member Functions
| TextFieldParser ()
| constructor More...
virtual | ~TextFieldParser ()
| destructor More...
std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseHeaderField (RagTime5StructManager::Field &field, RagTime5Zone &, int n, libmwaw::DebugStream &f)
| parse a header field More...
virtual bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &, int n, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...

## Public Attributes
std::vector< RagTime5StyleManager::TextStyle > | m_styleList
| the list of read style More...
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read style for a RagTime5StyleManager.

## Constructor & Destructor Documentation

## ◆ TextFieldParser()

RagTime5StyleManagerInternal::TextFieldParser::TextFieldParser | ( |  | ) |
| inline

constructor

## ◆ ~TextFieldParser()

RagTime5StyleManagerInternal::TextFieldParser::~TextFieldParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getZoneName()

std::string RagTime5StyleManagerInternal::TextFieldParser::getZoneName | ( | int | n | ) | const
| inline virtual

return the debug name corresponding to a field

Reimplemented from RagTime5StructManager::FieldParser.

## ◆ parseField()

virtual bool RagTime5StyleManagerInternal::TextFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## ◆ parseHeaderField()

virtual bool RagTime5StyleManagerInternal::TextFieldParser::parseHeaderField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a header field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## ◆ m_styleList

std::vector<RagTime5StyleManager::TextStyle> RagTime5StyleManagerInternal::TextFieldParser::m_styleList

the list of read style

Referenced by RagTime5StyleManager::readTextStyles().

The documentation for this struct was generated from the following file:

- RagTime5StyleManager.cxx